Subject: Re: bug#26671: serf package (guix dependency) tests fail

From: Marius Bakke <[email-masked]>
Date: Thu, 27 Apr 2017 18:01:35 +0200

Marius Bakke <[email-masked]> writes:
> Leo Famulari <[email-masked]> writes:
>>> https://svn.apache.org/viewvc?view=revision&revision=1792234
>>
>> Rather than using this workaround, which will stop working 2018-09-19,
>> we should disable this test. We should also file an upstream bug asking
>> them to fudge the date in their tests, so that we can run this test
>> suite forever. GnuTLS uses this technique with the 'datefudge' tool.
>
> Interesting, I was not aware of "datefudge".
>
> I'll disable these tests for now and create an upstream issue once I've
> learned more about the datefudge tool.

I disabled these tests in decb4c26fa1c748b118e33495d5493d84a6ca6c9 and
also pushed an update for 1.3.9.

Leaving this bug open until the upstream issue is created so it can be
added here as a reference.